[libvirt PATCH v2 01/35] ci: build.sh: Add variables from .gitlab-ci.yml

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



These are common variables we wish to use in containerized environments
both in GitLab and locally. Having these defined in a single place
rather than twice is highly preferable.

Signed-off-by: Erik Skultety <eskultet@xxxxxxxxxx>
Erik Skultety <eskultet@xxxxxxxxxx>:
---
 ci/build.sh | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

diff --git a/ci/build.sh b/ci/build.sh
index d5ed8ad104..5a9298c4b4 100644
--- a/ci/build.sh
+++ b/ci/build.sh
@@ -2,7 +2,17 @@
 
 cd "$CI_CONT_SRCDIR"
 
-export VIR_TEST_DEBUG=1
+export CCACHE_BASEDIR="$(pwd)"
+export CCACHE_DIR="$CCACHE_BASEDIR/ccache"
+export CCACHE_MAXSIZE="500M"
+export PATH="$CCACHE_WRAPPERSDIR:$PATH"
+
+# Enable these conditionally since their best use case is during
+# non-interactive workloads without having a Shell
+if ! [ -t 1 ]; then
+    export VIR_TEST_VERBOSE="1"
+    export VIR_TEST_DEBUG="1"
+fi
 
 # $MESON_OPTS is an env that can optionally be set in the container,
 # populated at build time from the Dockerfile. A typical use case would
-- 
2.41.0




[Index of Archives]     [Virt Tools]     [Libvirt Users]     [Lib OS Info]     [Fedora Users]     [Fedora Desktop]     [Fedora SELinux]     [Big List of Linux Books]     [Yosemite News]     [KDE Users]     [Fedora Tools]

  Powered by Linux